curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}import requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"productId": "<string>",
"billingOptions": [
{
"billingPlanId": "<string>",
"campaignId": "<string>"
}
],
"canUpgradeTo": [
"SVOD_Premium"
]
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Available Product-Billing Option combinations. Returns details of only active products.
Available Active Products with allowed billing options (billing plans, campaigns).
curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}import requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/catalog/account/{account}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"productId": "<string>",
"billingOptions": [
{
"billingPlanId": "<string>",
"campaignId": "<string>"
}
],
"canUpgradeTo": [
"SVOD_Premium"
]
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
Path Parameters
the account used as input to filter offers
Query Parameters
comma separated list of tiers to be used instead of account tier metadata
Was this page helpful?

